cc.Class({
    extends: cc.Component,

    properties: {
        gameStates: cc.Node,
    },
    start() {
        this.gStatSt = this.gameStates.getComponent('GameStates');
    },
    startGame() {
        //count game time
        let interval = 1; // 以秒为单位的时间间隔let
        let repeat = cc.macro.REPEAT_FOREVER; // 重复次数
        let delay = 0; // 开始延时
        this.schedule(this.countGameTime, interval, repeat, delay);
    },
    countGameTime() {
        this.gStatSt.gameTime++;
    },
    millisecondToDate(msd) {
        var time = parseFloat(msd) / 1000; //先将毫秒转化成秒
        // if (null != time && "" != time) {
        //     if (time > 60 && time < 60 * 60) {
        //         time = parseInt(time / 60.0) + "min" + parseInt((parseFloat(time / 60.0) - parseInt(time / 60.0)) * 60) + "s";
        //     } else if (time >= 60 * 60 && time < 60 * 60 * 24) {
        //         time = parseInt(time / 3600.0) + "h" + parseInt((parseFloat(time / 3600.0) - parseInt(time / 3600.0)) * 60) + "min" + parseInt((parseFloat((parseFloat(time / 3600.0) - parseInt(time / 3600.0)) * 60) - parseInt((parseFloat(time / 3600.0) - parseInt(time / 3600.0)) * 60)) * 60) + "s";
        //     } else {
        //         time = parseInt(time) + "s";
        //     }
        // }
        if (null != time && "" != time) {
            if (time > 60 && time < 60 * 60) {
                time = parseInt(time / 60.0) + ":" + parseInt((parseFloat(time / 60.0) - parseInt(time / 60.0)) * 60) + "s";
            } else if (time >= 60 * 60 && time < 60 * 60 * 24) {
                time = parseInt(time / 3600.0) + ":" + parseInt((parseFloat(time / 3600.0) - parseInt(time / 3600.0)) * 60) + "min" + parseInt((parseFloat((parseFloat(time / 3600.0) - parseInt(time / 3600.0)) * 60) - parseInt((parseFloat(time / 3600.0) - parseInt(time / 3600.0)) * 60)) * 60) + "s";
            } else {
                time = parseInt(time) + ":";
            }
        }
        return time;
    },
});